[PATCH:xcb/util] Update autogen.sh to one that does builddir != srcdir

View: New views
2 Messages — Rating Filter:   Alert me  

[PATCH:xcb/util] Update autogen.sh to one that does builddir != srcdir

by Jon TURNEY :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

---
 autogen.sh |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index d68a142..904cd67 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,12 @@
 #! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
 autoreconf -v --install || exit 1
-./configure "$@"
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
--
1.6.3.3

_______________________________________________
Xcb mailing list
Xcb@...
http://lists.freedesktop.org/mailman/listinfo/xcb

Parent Message unknown Re: [PATCH:xcb/util] Update autogen.sh to one that does builddir != srcdir

by Jamey Sharp :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Pushed. Thanks!

On Tue, Oct 20, 2009 at 10:17 AM, Jon TURNEY
<jon.turney@...> wrote:

> ---
>  autogen.sh |   11 ++++++++++-
>  1 files changed, 10 insertions(+), 1 deletions(-)
>
> diff --git a/autogen.sh b/autogen.sh
> index d68a142..904cd67 100755
> --- a/autogen.sh
> +++ b/autogen.sh
> @@ -1,3 +1,12 @@
>  #! /bin/sh
> +
> +srcdir=`dirname $0`
> +test -z "$srcdir" && srcdir=.
> +
> +ORIGDIR=`pwd`
> +cd $srcdir
> +
>  autoreconf -v --install || exit 1
> -./configure "$@"
> +cd $ORIGDIR || exit $?
> +
> +$srcdir/configure --enable-maintainer-mode "$@"
> --
> 1.6.3.3
_______________________________________________
Xcb mailing list
Xcb@...
http://lists.freedesktop.org/mailman/listinfo/xcb